## acme 0.96.2

=== src/Makefile ===
CFLAGS		= -O3 -Wall -Wstrict-prototypes
LIBS		= -lm
CC		= gcc
RM		= rm

#SRC		=

PROGS		= acme
BINDIR		= /usr/local/bin
USERBIN		= $(HOME)/bin
OBJS		= acme.o alu.o cliargs.o cpu.o dynabuf.o encoding.o flow.o global.o input.o macro.o mnemo.o output.o platform.o pseudoopcodes.o section.o symbol.o tree.o typesystem.o

all: $(PROGS)

acme: $(OBJS)
	$(CC) $(CFLAGS) -o acme $(OBJS) $(LIBS)
	strip acme


acme.o: config.h platform.h acme.h alu.h cpu.h dynabuf.h encoding.h flow.h global.h input.h macro.h mnemo.h output.h pseudoopcodes.h section.h symbol.h version.h acme.h acme.c

alu.o: config.h platform.h cpu.h dynabuf.h encoding.h global.h input.h section.h symbol.h tree.h alu.h alu.c

cliargs.o: cliargs.h cliargs.c

cpu.o: config.h alu.h dynabuf.h global.h input.h mnemo.h output.h tree.h cpu.h cpu.c

dynabuf.o: config.h acme.h global.h input.h dynabuf.h dynabuf.c

encoding.o: config.h alu.h acme.h dynabuf.h global.h output.h input.h tree.h encoding.h encoding.c

flow.o: config.h acme.h alu.h dynabuf.h global.h input.h mnemo.h symbol.h tree.h flow.h flow.c

global.o: config.h platform.h acme.h cpu.h input.h macro.h pseudoopcodes.h section.h symbol.h global.h global.c

input.o: config.h alu.h dynabuf.h global.h section.h symbol.h tree.h input.h input.c

macro.o: config.h acme.h alu.h dynabuf.h global.h input.h section.h symbol.h tree.h macro.h macro.c

mnemo.o: config.h alu.h cpu.h dynabuf.h global.h input.h output.h tree.h mnemo.h mnemo.c

output.o: config.h acme.h alu.h cpu.h dynabuf.h global.h input.h tree.h output.h output.c

platform.o: config.h platform.h platform.c

pseudoopcodes.o: acme.h alu.h input.h macro.h output.h pseudoopcodes.h pseudoopcodes.c

section.o: config.h dynabuf.h global.h symbol.h tree.h section.h section.c

symbol.o: config.h acme.h alu.h cpu.h dynabuf.h global.h input.h section.h tree.h symbol.h symbol.c

tree.o: config.h dynabuf.h global.h symbol.h tree.h tree.c

typesystem.o: config.h global.h typesystem.h typesystem.c

clean:
	-$(RM) -f *.o $(PROGS) *~ core


install: all
	install -d $(BINDIR)
	install $(PROGS) $(BINDIR)

userinstall: all
	install -d $(USERBIN)
	install $(PROGS) $(USERBIN)

# DO NOT DELETE

=== debian/changelog ===
acme (1:0.96.2-1) unstable; urgency=medium

  * Initial release. (Closes: #913331)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 09 Nov 2018 16:47:31 +0100

=== debian/control ===
Source: acme
Section: devel
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: https://github.com/meonwax/acme

Package: acme
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-platform cross assembler for 6502/6510/65816 CPU
 This is a cross assembler that can produce code for the following
 processors: 6502, 6510 (including illegal opcodes), 65c02 and 65816.
 ACME supports the standard assembler stuff like global/local/anonymous
 labels, offset assembly, conditional assembly and looping assembly.
 It can include other source files as well as binaries while assembling.
 Calculations can be done in integer or float mode. Oh, and it is fast.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	@echo Do not use install target of upstream Makefile

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/meonwax/acme/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## acme 0.96.4

=== examples/Makefile ===
ASSEMBLER6502	= acme
AS_FLAGS	= -v9 -Wtype-mismatch
RM		= rm

PROGS		= ddrv128.prg ddrv64.prg macedit.o trigono.o

all: $(PROGS)

ddrv128.prg: ddrv.a
	$(ASSEMBLER6502) $(AS_FLAGS) --outfile ddrv128.prg --format cbm -DSYSTEM=128 ddrv.a

ddrv64.prg: ddrv.a
	$(ASSEMBLER6502) $(AS_FLAGS) --outfile ddrv64.prg --format cbm -DSYSTEM=64 ddrv.a

macedit.o: macedit.a
	$(ASSEMBLER6502) $(AS_FLAGS) --outfile macedit.o --format cbm macedit.a

trigono.o: trigono.a
	$(ASSEMBLER6502) $(AS_FLAGS) --outfile trigono.o --format plain trigono.a

clean:
	-$(RM) -f *.o *.tmp $(PROGS) *~ core

=== src/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 
 platform.o: config.h platform.h platform.c
 
-pseudoopcodes.o: acme.h alu.h input.h macro.h output.h pseudoopcodes.h pseudoopcodes.c
+pseudoopcodes.o: acme.h alu.h global.h input.h macro.h output.h pseudoopcodes.h pseudoopcodes.c
 
 section.o: config.h dynabuf.h global.h symbol.h tree.h section.h section.c

=== debian/changelog ===
acme (1:0.96.4-5) unstable; urgency=medium

  * Bump standards version to 4.5.0.
  * Add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 09:37:26 +0100

acme (1:0.96.4-4) unstable; urgency=medium

  * d/examples: unnested.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 05 Nov 2019 11:50:26 +0100

acme (1:0.96.4-3) unstable; urgency=medium

  * d/rules: Use dh_auto_build instead of $(MAKE). (Closes: #934726)
    Thanks Helmut Grohne for the patch.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 14 Aug 2019 08:51:07 +0200

acme (1:0.96.4-2) unstable; urgency=medium

  * Apply patch to drop stripping binaries. (Closes: 934517)
    Thanks Helmut Grohne for the patch.
  * Also add -g for dbgsym packages.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 12 Aug 2019 08:34:04 +0200

acme (1:0.96.4-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: also build contrib/toacme.
  * debian/compat: dropped, update to debhelper version 12.
  * Bump standards version to 4.3.0.
  * debian/control: update homepage.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 10 Aug 2019 19:53:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
-Homepage: https://github.com/meonwax/acme
+Build-Depends:
+ debhelper (>= 12),
+ debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/myczko-guest/acme
+Vcs-Git: https://salsa.debian.org/myczko-guest/acme.git
+Homepage: https://github.com/jan0sch/acme
 
 Package: acme
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=src

override_dh_auto_install:
	@echo Do not use install target of upstream Makefile

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=contrib/toacme/src

override_dh_compress:
	dh_compress -X.a -X.exp

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/jan0sch/acme/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## acme 0.97~svn20201116+ds

=== examples/Makefile ===
--- 
+++ 
@@ -2,9 +2,12 @@
 AS_FLAGS	= -v9 -Wtype-mismatch
 RM		= rm
 
-PROGS		= ddrv128.prg ddrv64.prg macedit.o trigono.o
+PROGS		= c64misc.prg ddrv128.prg ddrv64.prg macedit.o trigono.o
 
 all: $(PROGS)
+
+c64misc.prg: c64misc.a
+	$(ASSEMBLER6502) $(AS_FLAGS) --outfile c64misc.prg --format cbm c64misc.a
 
 ddrv128.prg: ddrv.a
 	$(ASSEMBLER6502) $(AS_FLAGS) --outfile ddrv128.prg --format cbm -DSYSTEM=128 ddrv.a

=== contrib/toacme/src/Makefile ===
CFLAGS		= -O3 -Wall -Wstrict-prototypes
#LIBS		= -lm
CC		= gcc
RM		= rm

#SRC		=

PROGS		= toacme
BINDIR		= /usr/local/bin
USERBIN		= $(HOME)/bin

all: $(PROGS)

vis.o: config.h acme.h io.h mnemo.h scr2iso.h vis.c

ab3.o: config.h ab.h acme.h io.h mnemo.h scr2iso.h ab3.c

ab.o: config.h ab.h acme.h io.h scr2iso.h ab.c

f8ab.o: config.h ab.h acme.h io.h mnemo.h scr2iso.h f8ab.c

giga.o: config.h acme.h gighyp.h io.h mnemo.h pet2iso.h giga.c

gighyp.o: config.h acme.h io.h pet2iso.h gighyp.h gighyp.c

hypra.o: config.h acme.h gighyp.h io.h pet2iso.h hypra.c

obj.o: config.h acme.h io.h mnemo.h obj.c

acme.o: config.h acme.h acme.c

main.o: config.h version.h main.c

mnemo.o: config.h mnemo.c

pet2iso.o: config.h pet2iso.h pet2iso.c

platform.o: config.h platform.h platform.c

prof.o: config.h prof.c

scr2iso.o: config.h scr2iso.h scr2iso.c

version.o: config.h version.c

toacme: vis.o ab.o ab3.o acme.o f8ab.o giga.o gighyp.o hypra.o io.o main.o mnemo.o obj.o pet2iso.o platform.o prof.o scr2iso.o version.o
	$(CC) $(LIBS) $(CFLAGS) -o toacme vis.o ab.o ab3.o acme.o f8ab.o giga.o gighyp.o hypra.o io.o main.o mnemo.o obj.o pet2iso.o platform.o prof.o scr2iso.o version.o
	strip toacme

clean:
	-$(RM) -f *.o $(PROGS) *~ core

install: all
	install -d $(BINDIR)
	install $(PROGS) $(BINDIR)

userinstall: all
	install -d $(USERBIN)
	install $(PROGS) $(USERBIN)

# DO NOT DELETE

=== debian/changelog ===
acme (1:0.97~svn20201116+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - Update homepage (Closes: #974613)
    - Added Rules-Requires-Root.
  * Bump debhelper version to 13.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * d/watch: dropped.
  * d/patches/add-g: updated.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 16 Nov 2020 08:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends:
- debhelper (>= 12),
- debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/myczko-guest/acme
 Vcs-Git: https://salsa.debian.org/myczko-guest/acme.git
-Homepage: https://github.com/jan0sch/acme
+Homepage: https://sourceforge.net/projects/acme-crossass/
 
 Package: acme
 Architecture: any

## acme 0.97~svn20211115%2Bds

=== debian/changelog ===
acme (1:0.97~svn20211115+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/copyright: bump year.
  * d/control: update Vcs field.

 -- Alex Myczko <tar@debian.org>  Mon, 27 May 2024 10:52:25 +0200

acme (1:0.97~svn20211115+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: update years.
  * Bump standards version to 4.6.0.
  * Update maintainer address.
  * d/control: update Vcs field.
  * Add lintian overrides:
    - debian/acme.lintian-overrides
    - debian/source/lintian-overrides

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Nov 2021 12:30:08 +0100

## acme 0.97~svn20211115+ds

=== examples/Makefile ===
--- 
+++ 
@@ -2,9 +2,12 @@
 AS_FLAGS	= -v9 -Wtype-mismatch
 RM		= rm
 
-PROGS		= c64misc.prg ddrv128.prg ddrv64.prg macedit.o trigono.o
+PROGS		= c64doubledabble.prg c64misc.prg ddrv128.prg ddrv64.prg macedit.o trigono.o
 
 all: $(PROGS)
+
+c64doubledabble.prg: c64doubledabble.a
+	$(ASSEMBLER6502) $(AS_FLAGS) --outfile c64doubledabble.prg --format cbm c64doubledabble.a
 
 c64misc.prg: c64misc.a
 	$(ASSEMBLER6502) $(AS_FLAGS) --outfile c64misc.prg --format cbm c64misc.a

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 CFLAGS		= -O3 -Wall -Wstrict-prototypes
+#CFLAGS		= -O3 -Wall -Wextra -Wstrict-prototypes
 LIBS		= -lm
 CC		= gcc
 RM		= rm
@@ -31,7 +32,7 @@
 
 flow.o: config.h acme.h alu.h dynabuf.h global.h input.h mnemo.h symbol.h tree.h flow.h flow.c
 
-global.o: config.h platform.h acme.h cpu.h input.h macro.h pseudoopcodes.h section.h symbol.h global.h global.c
+global.o: config.h platform.h acme.h cpu.h dynabuf.h encoding.h input.h macro.h pseudoopcodes.h section.h symbol.h global.h global.c
 
 input.o: config.h alu.h dynabuf.h global.h section.h symbol.h tree.h input.h input.c
 
@@ -43,7 +44,7 @@
 
 platform.o: config.h platform.h platform.c
 
-pseudoopcodes.o: acme.h alu.h global.h input.h macro.h output.h pseudoopcodes.h pseudoopcodes.c
+pseudoopcodes.o: acme.h alu.h flow.h global.h input.h macro.h output.h symbol.h pseudoopcodes.h pseudoopcodes.c
 
 section.o: config.h dynabuf.h global.h symbol.h tree.h section.h section.c

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: acme
 Section: devel
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/myczko-guest/acme
-Vcs-Git: https://salsa.debian.org/myczko-guest/acme.git
+Vcs-Browser: https://salsa.debian.org/debian/acme
+Vcs-Git: https://salsa.debian.org/debian/acme.git
 Homepage: https://sourceforge.net/projects/acme-crossass/
 
 Package: acme

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -W
 
 %:
 	dh $@ --sourcedirectory=src

## acme 0.97~svn20251213+ds

=== debian/changelog ===
acme (1:0.97~svn20251213+ds-1) unstable; urgency=medium

  * New upstream version.
  * Ack NMU.
  * Bump standards version to 4.7.2.
  * d/control: drop Rules-Requires-Root.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sat, 13 Dec 2025 20:22:35 +0000

acme (1:0.97~svn20211115+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1096277)

 -- Adrian Bunk <bunk@debian.org>  Wed, 12 Nov 2025 05:30:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/acme
 Vcs-Git: https://salsa.debian.org/debian/acme.git
 Homepage: https://sourceforge.net/projects/acme-crossass/
